当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 8 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : [求助]Elementary os 安装ia32-libs 后界面变得非常奇怪
帖子发表于 : 2014-04-05 23:14 

注册: 2012-10-06 13:23
帖子: 7
系统: ubuntu14.04+window8
送出感谢: 0 次
接收感谢: 0 次
在Elementary OS上,因为要使用wps 的关系要装上ia32-libs。
因为直接使用sudo apt-get install ia32-libs,会报错
所以到网上找了各种方法解决。后来不知道因为那么命令导致界面变成了下面这个样子。
图片
求各位大大打救


页首
 用户资料  
 
2 楼 
 文章标题 : Re: [求助]Elementary os 安装ia32-libs 后界面变得非常奇怪
帖子发表于 : 2014-04-06 9:23 
头像

注册: 2009-03-28 16:10
帖子: 1849
系统: Arch debian win7
送出感谢: 10
接收感谢: 70
是不是自己编译了一些32位包呢
apt报错,解决apt的问题就好了嘛


_________________
为什么我的问题总是没有人回答?

金钱、责任与荣誉:OpenSSL主席谈心脏出血
拥有丰富API接口和广泛程序支持的dropbox云同步,点此注册,开始就比别人多500兆,我的空间也会增加。谢啦
==========我的作品==========
我做的一个面向开发者的gnome-shell扩展,有js基础又想自己调整gnome-shell功能的可以尝试一下
gnome-shell扩展开发入门,gnome-shell扩展系统扫盲帖


页首
 用户资料  
 
3 楼 
 文章标题 : Re: [求助]Elementary os 安装ia32-libs 后界面变得非常奇怪
帖子发表于 : 2014-04-06 13:02 
头像

注册: 2005-08-14 21:55
帖子: 58428
地址: 长沙
送出感谢: 4
接收感谢: 274
ia32-libs早废弃了吧。


_________________
● 鸣学


页首
 用户资料  
 
4 楼 
 文章标题 : Re: [求助]Elementary os 安装ia32-libs 后界面变得非常奇怪
帖子发表于 : 2014-04-06 17:13 

注册: 2009-08-04 16:33
帖子: 17891
送出感谢: 21
接收感谢: 1921
請提供 Elementary OS 版本


页首
 用户资料  
 
5 楼 
 文章标题 : Re: [求助]Elementary os 安装ia32-libs 后界面变得非常奇怪
帖子发表于 : 2014-04-07 0:06 

注册: 2012-10-06 13:23
帖子: 7
系统: ubuntu14.04+window8
送出感谢: 0 次
接收感谢: 0 次
poloshiao 写道:
請提供 Elementary OS 版本
Version: 0.2 "Luna" (64-bit)


页首
 用户资料  
 
6 楼 
 文章标题 : Re: [求助]Elementary os 安装ia32-libs 后界面变得非常奇怪
帖子发表于 : 2014-04-07 0:11 

注册: 2012-10-06 13:23
帖子: 7
系统: ubuntu14.04+window8
送出感谢: 0 次
接收感谢: 0 次
eexpress 写道:
ia32-libs早废弃了吧。

我上网找到的也是这么说,可以安装WPS for Linux 和 Android开发用的Android 模拟器需要用到32位库,那我只能安装了


页首
 用户资料  
 
7 楼 
 文章标题 : Re: [求助]Elementary os 安装ia32-libs 后界面变得非常奇怪
帖子发表于 : 2014-04-07 0:13 

注册: 2012-10-06 13:23
帖子: 7
系统: ubuntu14.04+window8
送出感谢: 0 次
接收感谢: 0 次
zhw2101024 写道:
是不是自己编译了一些32位包呢
apt报错,解决apt的问题就好了嘛

谢谢你的回答!不过我好像没有编译过任何东西(我指没有运行过make / makefile)。我尝试过重新安装系统后马上安装ia32-lib,界面马上变成这个样子了。
至于apt的问题,我不怎么懂,还望能说的更详细一点。万分感谢。


页首
 用户资料  
 
8 楼 
 文章标题 : Re: [求助]Elementary os 安装ia32-libs 后界面变得非常奇怪
帖子发表于 : 2014-04-07 8:22 

注册: 2009-08-04 16:33
帖子: 17891
送出感谢: 21
接收感谢: 1921
引用:
Elementary OS
Version: 0.2 "Luna" (64-bit)

1. Luna 基於 Ubuntu 12.04
http://en.wikipedia.org/wiki/Elementary ... 9#Versions
In November 2012, the first beta version of elementary OS code-named Luna was released, which uses Ubuntu 12.04 LTS as a base.
2. Ubuntu 12.04 64 bit 想要安裝 32 bit 套件 需要先安裝 ia32-libs
sudo apt-get install ia32-libs
http://packages.ubuntu.com/search?suite ... chon=names
它會同時安裝 相依套件 ia32-libs-multiarch:i386
3. 以上兩者 來自 universe 套件庫
所以安裝前 要先將 universe 套件庫 加入 軟件來源名單
引用:
因为直接使用sudo apt-get install ia32-libs,会报错
所以到网上找了各种方法解决。后来不知道因为那么命令导致界面变成了下面这个样子。

4. 會報錯原因之一
沒有先將 universe 套件庫 加入 軟件來源名單
5. 會報錯原因之二
沒有先將 已安裝套件 更新到 最新版本
sudo apt-get update
sudo apt-get upgrade
6. 完成 1,2 兩個程序
再安裝 ia32-libs
sudo apt-get install ia32-libs
7. 然後 開始安裝 32 bit 套件 記得 在 32 bit 套件名稱後面 加上 :.386 中間沒有空格
例如 skype (32 bit)
sudo apt-get install skype:i386
7-1. 如果你是安裝 skype (64 bit)
就不必 加 i386
sudo apt-get install skype
7-2. 到底是 64 bit 或 32 bit ?
請詳細參考 該程式套件 發行或下載 網頁

如果執行 4,5,6,7 還有任何錯誤訊息
請直接把 終端機文字 複製 貼上來

8. 補充
8-1. Ubuntu 13.04, 12.10, 12.04, 10.04 版本 需要安裝 ia32-libs 及 ia32-libs-multiarch:i386
8-2. Ubuntu 13.10, 14.04 及 以後版本 不需要安裝 ia32-libs 及 ia32-libs-multiarch:i386
就可以安裝 Ubuntu 套件庫來源的 32 bit 套件
但是要安裝非 Ubuntu 套件庫來源的其它第三方軟體提供的 32 bit 套件 還是需要先安裝 ia32-libs 及 ia32-libs-multiarch:i386 可是 ubuntu universe 套件庫已經沒有 該二套件可供安裝 所以需要到 Ubuntu 13.04 universe 套件庫 直接下載 該二套件的 deb 套件包來安裝 如果有缺少相依套件 一樣要下載 deb 套件來 安裝
http://packages.ubuntu.com/raring/ia32-libs
http://packages.ubuntu.com/raring/ia32-libs-multiarch


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 8 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 2 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译